if status --is-login
	# Do login stuff
end

set --export EDITOR /usr/bin/vim

# # Vi mode, fixing ctrl-c to cancel the line instead of exiting insert mode
# function fish_vi_key_bindings_local
#   fish_vi_key_bindings
#   bind -e -M insert \cc
#   bind -M insert -m insert \cc 'commandline ""'
# end
# set -g fish_key_bindings fish_vi_key_bindings_local

function hybrid_bindings --description "Vi-style bindings that inherit emacs-style bindings in all modes"
    for mode in default insert visual
        fish_default_key_bindings -M $mode
    end
    fish_vi_key_bindings --no-erase
    bind -e -M insert \cc
    bind -M insert -m insert \cc 'commandline ""'
end
set -g fish_key_bindings hybrid_bindings

